<div class="d-flex justify-content-center">
  <mat-spinner *ngIf="isLoading === true" class="spinner"></mat-spinner>
</div>
<div class="container-fluid tm-container-content tm-mt-60" *ngIf="isLoading === false">
  <div class="row mb-4">
    <h2 class="col-6 tm-text-secondary">
      Nuestros dulces
    </h2>
    <div class="col-6 d-flex justify-content-end align-items-center">
    </div>
  </div>
  <div class="row tm-mb-90 tm-gallery">
    <div class="col-xl-3 col-lg-4 col-md-6 col-sm-6 col-12 mb-5" *ngFor="let producto of products">
      <figure [routerLink]="['/product-view']" [queryParams]="{id: producto.id}" (click)="scrollTop()"
        class="effect-ming tm-video-item">
        <img src={{producto.imageUrl}} alt="Image" class="img-fluid" style="height: 100%; width: 500px;">
        <figcaption class="d-flex align-items-center justify-content-center">
          <h2>{{producto.name}}</h2>
        </figcaption>
      </figure>
      <div class="d-flex justify-content-between">
        <span>${{producto.price}}.00</span>
      </div>
      <button class="btn btn-primary" (click)="sendProductToCart(producto.id)">
        Añadir al carrito
      </button>
    </div>
  </div> <!-- row -->
  <div class="row tm-mb-90">
    <div class="col-12 d-flex justify-content-between align-items-center tm-paging-col">
      <a href="javascript:void(0);" class="btn btn-primary tm-btn-prev mb-2">Anterior</a>
      <div class="tm-paging d-flex">
      </div>
      <button href="javascript:void(0);" class="btn btn-primary tm-btn-next">Siguiente pagina</button>
    </div>
  </div>
</div> <!-- container-fluid, tm-container-content -->